/*
 * TestStage1.cpp
 *
 *  Created on: 18-07-2019
 *  Author: Matias Contreras, Camilo Fernandez, Maria Rivas
 */

#include <iostream>
#include "StreetTrafficLight.h"
using namespace std;

int main(int argc, char *argv[]){
	int cont = 1;
	int N = atoi(argv[1]);
	int followTimeStreet = 7;
	int transitionTimeStreet = 3;
	int stopTimeStreet = atoi(argv[2]);

	if(argc != 3){
		cout << "Usage: ./TestStage1 <N> <redTime>\n" << endl;
		return 1;
	}

	StreetTrafficLight *semaphoreStreet = new StreetTrafficLight(stopTimeStreet, followTimeStreet, transitionTimeStreet);

	for(int i = 0; i<N; i++){
		semaphoreStreet->turnStop();
		for(int j = 1; j<stopTimeStreet+1; j++){
			cout << cont << "\t" << semaphoreStreet->toString() << endl;
			if(cont >= N){ cout << "\n"; exit(0); }
			else cont += 1;
		}

		if(cont >= N){ cout << "\n"; exit(0); }
		semaphoreStreet->turnFollow();
		for(int j = 1; j<followTimeStreet+1; j++){
			cout << cont << "\t" << semaphoreStreet->toString() << endl;
			if(cont > N){ cout << "\n"; exit(0); }
			else cont += 1;
		}

		if(cont >= N){ cout << "\n"; exit(0); }
		semaphoreStreet->turnTransition();
		for(int j = 1; j<transitionTimeStreet+1; j++){
			cout << cont << "\t" << semaphoreStreet->toString() << endl;
			if(cont >= N){ cout << "\n"; exit(0); }
			else cont += 1;
		}

		if(cont >= N){ cout << "\n"; exit(0); }
	}
	
	delete semaphoreStreet;
	return 0;
}

