/*
 * SemaforoP.cpp
 *
 *  Created on: 18-07-2019
 *  Author: Matias Contreras, Camilo Fernandez, Maria Rivas
 */

#include "SemaforoP.h"

SemaforoP::SemaforoP(){
	greenTime = blinkingTime = 0;
}

SemaforoP::SemaforoP(int gt, int bt){
	greenTime = gt;          // constructor de la clase
	blinkingTime = bt;
}

void SemaforoP::turnRedLightOn(){
	state = "stop";        // enciende luz roja
}

void SemaforoP::turnGreenLightOn(){
	state = "follow";      // enciende luz verde y apaga roja
}

void SemaforoP::turnGreenLightOff(){
	state = "blinking";   // apaga luz verde
}

int SemaforoP::getGreenLightTime(){
	return greenTime;     // obtiene tiempo de luz verde
}

int SemaforoP::getBlinkingTime(){
	return blinkingTime; // obtiene tiempo de intermitencia
}

string SemaforoP::toString(){
	if(state == "stop"){ return ("R"); }   // Luz roja
	else if(state == "follow"){ return ("V"); }  // Luz verde
	else if(state == "blinking"){ return ("P"); }    // Luz parpadeando
	else{ return "!"; }
}

SemaforoP::~SemaforoP(){
	// Destructor (eliminan el objeto de esta clase)
}
