/*
 * SimuladorEntradas.h
 *
 *  Created on: 18-07-2019
 *  Author: Matias Contreras, Camilo Fernandez, Maria Rivas
 */

#ifndef SIMULADORENTRADAS_H_
#define SIMULADORENTRADAS_H_

#include "Listener.h"
#include "DetectorDeRequerimiento.h"

#include <iostream>			// Biblioteca para la entrada y salida de datos
#include <unistd.h>			// Biblioteca para utilizar el metodo sleep()
#include <string>			// Biblioteca para el uso de cadenas de caracteres
using namespace std;

class SimuladorEntradas: public Listener{
	public:
	/* Constructor, metodos y destructor */
		SimuladorEntradas();
		SimuladorEntradas(DetectorDeRequerimiento *boton, string filename);
		void actionPerformed();

	private:
	/* Definicion de variables */
		int i;
		string archivo;
		DetectorDeRequerimiento *button;
};

#endif	/* SIMULADORENTRADAS_H_ */
