/*
 * Controlador.cpp
 *
 *  Created on: 18-07-2019
 *  Author: Matias Contreras, Camilo Fernandez, Maria Rivas
 */

#include "Controlador.h"
int timeblink;
int timegreen;

Controlador::Controlador(){
	contador = 1;
	this->semaforo = NULL;
	this->sensor = NULL;
}

Controlador::Controlador(SemaforoDeGiro *semG, DetectorDeRequerimiento *sensorInductivo){
	contador=1;
	this->sensor=sensorInductivo;
	this->semaforo=semG;
}

void Controlador::manageTraffic(){
	if (sensor->isON()){
		timegreen= semaforo->getGreenLightTime();
		semaforo->turnGreenLightOn();
		for(int i = 0; i<timegreen; i++){
			cout << contador << "\t" << semaforo->toString() << endl;
			sleep(1);
			contador++;
		}
		timeblink= semaforo->getBlinkingTime();
		semaforo->turnBlinkingOn();
		for(int i = 0; i<timeblink; i++){
			cout << contador << "\t" << semaforo->toString() << endl;
			sleep(1);
			contador++;
		}
		semaforo->turnGreenLightOff();
	}
	else{
		cout << contador << "\t" << semaforo->toString() << endl;
		sleep(1);
		contador++;
	}
}

Controlador::~Controlador(){		// Destructor (eliminan el objeto de esta clase)
	delete sensor, semaforo;
}
