/*
 * Controlador.h
 *
 *  Created on: 24-07-2019
 *  Author: Matias Contreras, Camilo Fernandez, Maria Rivas
 */

#ifndef CONTROLADOR_H_
#define CONTROLADOR_H_

#include "SemaforoP.h"
#include "SemaforoDeGiro.h"
#include "StreetTrafficLight.h"
#include "DetectorDeRequerimiento.h"

#include <unistd.h>		// Biblioteca para utilizar el metodo sleep()
#include <iostream>		// Biblioteca para la entrada y salida de datos
#include <string>		// Biblioteca para trabajar con cadenas de caracteres
using namespace std;

class Controlador{
	public:
	/* Constructor, metodos y destructor */
		Controlador();
		Controlador(SemaforoP *a, SemaforoP *b, StreetTrafficLight *uno, 
			SemaforoDeGiro *dos, StreetTrafficLight *tres, SemaforoDeGiro *cuatro, 
			StreetTrafficLight *cinco, DetectorDeRequerimiento *ind, DetectorDeRequerimiento *bt);
		void manageTraffic();
		~Controlador();

	private:
	/* Definicion de variables */
		int cont, time;
		SemaforoP *A, *B;
		SemaforoDeGiro *two, *four;
		StreetTrafficLight *one, *three, *five;
		DetectorDeRequerimiento *sensor, *button;
};

#endif	/* CONTROLADOR_H_ */
