/*
 * SemaforoDeGiro.cpp
 *
 *  Created on: 23-07-2019
 *  Author: Matias Contreras, Camilo Fernandez, Maria Rivas
 */

#include "SemaforoDeGiro.h"

SemaforoDeGiro::SemaforoDeGiro(){
	followTime = blinkingTime = 0;
}

SemaforoDeGiro::SemaforoDeGiro(int ft, int bt){
	followTime = ft;
	blinkingTime = bt;
}

void SemaforoDeGiro::turnRedLightOn(){
	state = "stop";
}

void SemaforoDeGiro::turnGreenLightOn(){
	state = "follow";
}

void SemaforoDeGiro::turnBlinkingOn(){
	state = "blinking";
}

int SemaforoDeGiro::getGreenLightTime(){
	return followTime;
}

int SemaforoDeGiro::getBlinkingTime(){
	return blinkingTime;
}

string SemaforoDeGiro::toString(){
	ostringstream newState;
	if(state == "stop"){ newState << "R"; }
	else if(state == "follow"){ newState << "V"; }
	else{ newState << "P"; }
	return newState.str();
}

SemaforoDeGiro::~SemaforoDeGiro(){
	// Destructor (eliminan el objeto de esta clase)
}
