/*
 * SemaforoDeGiro.h
 *
 *  Created on: 23-07-2019
 *  Author: Matias Contreras, Camilo Fernandez, Maria Rivas
 */

#ifndef SEMAFORODEGIRO_H_
#define SEMAFORODEGIRO_H_

#include <string>		// Biblioteca para trabajar con cadenas de caracteres
#include <sstream>		// Biblioteca para convertir de string a numeros
using namespace std;

class SemaforoDeGiro{
	public:
		SemaforoDeGiro();
		SemaforoDeGiro(int ft, int bt);
		void turnRedLightOn();
		void turnGreenLightOn();
		void turnBlinkingOn();
		int getGreenLightTime();
		int getBlinkingTime();
		string toString();
		~SemaforoDeGiro();

	private:
		string state;
		int followTime, blinkingTime;
};

#endif /* SEMAFORODEGIRO_H_ */
