/*
 * SemaforoP.cpp
 *
 *  Created on: 18-07-2019
 *  Author: Matias Contreras, Camilo Fernandez, Maria Rivas
 */

#include "SemaforoP.h"

SemaforoP::SemaforoP(){
	crossTime = blinkingTime = 0;
}

SemaforoP::SemaforoP(int ct, int bt){
	crossTime = ct;
	blinkingTime = bt;
}

void SemaforoP::turnRedLightOn(){
	state = "stop";
}

void SemaforoP::turnGreenLightOn(){
	state = "follow";
}

void SemaforoP::turnBlinkingOn(){
	state = "blinking";
}

int SemaforoP::getGreenLightTime(){
	return crossTime;
}

int SemaforoP::getBlinkingTime(){
	return blinkingTime;
}

string SemaforoP::toString(){
	ostringstream newState;
	if(state == "stop"){ newState << "R"; }
	else if(state == "follow"){ newState << "V"; }
	else if(state == "blinking"){ newState << "P"; }
	return newState.str();
}

SemaforoP::~SemaforoP(){
	// Destructor (eliminan el objeto de esta clase)
}
