/*
 * TrafficLight.h
 *
 *  Created on: 18-07-2019
 *  Author: Matias Contreras, Camilo Fernandez, Maria Rivas
 */

#ifndef TRAFFICLIGHT_H_
#define TRAFFICLIGHT_H_

#include <iostream>		// Biblioteca para las operaciones de entrada y salida
#include <string>		// Biblioteca para trabajar con cadenas de caracteres
using namespace std;

class TrafficLight{
	public:
	/* Constructor y metodos */
		TrafficLight();
		TrafficLight(int st, int ft, int tt);
		void turnStop();
		void turnTransition();
		void turnFollow();
		int getStopTime();
		int getFollowTime();
		int getTransitionTime();
		string toString();

	private:
	/* Definicion de variables */
		string state;
		int stopTime, followTime, transitionTime;
};

#endif	/* TRAFFICLIGHT_H_ */
