/*
 * MyTimer.h
 *
 *  Created on: 19-07-2019
 *  Author: Matias Contreras, Camilo Fernandez, Maria Rivas
 */

#ifndef MYTIMER_H_
#define MYTIMER_H_

#include "Listener.h"

#include <thread>		// Biblioteca para trabajar con hilos
#include <chrono>		// Biblioteca para invocar metodos de tiempo
using namespace std;

class MyTimer: public thread{
	public:
	/* Constructor, metodos y destructor */
		MyTimer(int period, Listener *listener);
		void resume();
		void pause();
		bool isRunning();
		void stop();
		friend void concurrentTask(MyTimer *t);
		~MyTimer();

	private:
	/* Definicion de variables */
		int period;
		bool running, done;
		Listener *listener;
};

#endif	/* MY_TIMER_H_ */
