/*
 * SemaforoP.h
 *
 *  Created on: 18-07-2019
 *  Author: Matias Contreras, Camilo Fernandez, Maria Rivas
 */

#ifndef SEMAFOROP_H_
#define SEMAFOROP_H_

#include <iostream>		// Biblioteca para las operaciones de entrada y salida
#include <string>		// Biblioteca para trabajar con cadenas de caracteres
using namespace std;

class SemaforoP{
	public:
	/* Constructor y metodos */
		SemaforoP();
		SemaforoP(int gt, int bt);
		void turnRedLightOn();
		void turnGreenLightOn();
		void turnGreenLightOff();
		int getGreenLightTime();
		int getBlinkingTime();
		string toString();
    ~SemaforoP();

	private:
	/* Definicion de variables */
    string state;
		int greenTime, blinkingTime;
};

#endif	/* SEMAFOROP_H_ */
