/*
 * Controlador.h
 *
 *  Created on: 18-07-2019
 *  Author: Matias Contreras, Camilo Fernandez, Maria Rivas
 */

#ifndef CONTROLADOR_H
#define CONTROLADOR_H
#include "SemaforoDeGiro.h"
#include "DetectorDeRequerimiento.h"
#include <unistd.h>		// Biblioteca para utilizar el metodo sleep()
#include <iostream>		// Biblioteca para las operaciones de entrada y salida
#include <string>		// Biblioteca para trabajar con cadenas de caracteres
using namespace std;

class Controlador{
	public:
		Controlador();
		Controlador (SemaforoDeGiro *semG, DetectorDeRequerimiento *sensorInductivo);
		void manageTraffic();
		~Controlador();
	private:
	/* Definicion de variables */
		int contador;
		DetectorDeRequerimiento *sensor;
		SemaforoDeGiro *semaforo;
	};
#endif /* CONTROLADOR_H */
