/*
 * SemaforoDEGIRO.h
 *
 *  Created on: 26-07-2019
 *  Author: Matias Contreras, Camilo Fernandez, Maria Rivas
 */

#ifndef SEMAFORODEGIRO_H_
#define SEMAFORODEGIRO_H_

#include <iostream>		// Biblioteca para las operaciones de entrada y salida
#include <string>		// Biblioteca para trabajar con cadenas de caracteres
using namespace std;

class SemaforoDeGiro{
	public:
	/* Constructor y metodos */
		SemaforoDeGiro();
		SemaforoDeGiro(int gt, int bt);
		void turnGreenLightOn();
		void turnGreenLightOff();
		void turnBlinkingOn();
		int getGreenLightTime();
		int getBlinkingTime();
		string toString();
    ~SemaforoDeGiro();

	private:
	/* Definicion de variables */
    string state;
		int greenTime, blinkingTime;
};

#endif	/* SEMAFORODEGIRO_H_ */
