/*
 * SemaforoP.h
 *
 *  Created on: 18-07-2019
 *  Author: Matias Contreras, Camilo Fernandez, Maria Rivas
 */

#ifndef SEMAFOROP_H_
#define SEMAFOROP_H_

#include <string>		// Biblioteca para trabajar con cadenas de caracteres
#include <sstream>		// Biblioteca para convertir de string a numeros
using namespace std;

class SemaforoP{
	public:
	/* Constructor, metodos y destructor */
		SemaforoP();
		SemaforoP(int ct, int bt);
		void turnRedLightOn();
		void turnGreenLightOn();
		void turnBlinkingOn();
		int getGreenLightTime();
		int getBlinkingTime();
		string toString();
		~SemaforoP();

	private:
	/* Definicion de variables */
		string state;
		int crossTime, blinkingTime;
};

#endif	/* SEMAFOROP_H_ */
