/*
 * SimuladorEntradas.cpp
 *
 *  Created on: 24-07-2019
 *  Author: Matias Contreras, Camilo Fernandez, Maria Rivas
 */

#include "SimuladorEntradas.h"

SimuladorEntradas::SimuladorEntradas(){
	i = 0;
	file = "";
	this->sensor = NULL;
	this->button = NULL;
}

SimuladorEntradas::SimuladorEntradas(DetectorDeRequerimiento *ind, DetectorDeRequerimiento *bt, string filename){
	i = 0;
	file = filename;
	this->button = bt;
	this->sensor = ind;
}

void SimuladorEntradas::actionPerformed(){
	if(i == file.length()){
		cout << "\n"; exit(0); 		// Finalize the program

	}else if((file[i] == '1') && (i%2 == 0)){		
		button->setON(); 			// Set ON the pedestrian traffic light button

	}else if((file[i] == '0') && (i%2 == 0)){		
		button->setOFF();			// Set OFF the pedestrian traffic light button

	}else if((file[i] == '1') && (i%2 != 0)){		
		sensor->setON(); 			// Set ON the inductive sensor

	}else if((file[i] == '0') && (i%2 != 0)){		
		sensor->setOFF();			// Set OFF the inductive sensor

	}i++;
}
